Bug 1786855 (python-nose-timer) - Review Request: python-nose-timer - A timer plugin for nosetests
Summary: Review Request: python-nose-timer - A timer plugin for nosetests
Keywords:
Status: CLOSED ERRATA
Alias: python-nose-timer
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: androguard
TreeView+ depends on / blocked
 
Reported: 2019-12-28 13:50 UTC by Fabian Affolter
Modified: 2020-01-24 17:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-16 22:30:10 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-28 13:50:15 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-nose-timer.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-nose-timer-0.7.5-1.fc31.src.rpm

Project URL: https://github.com/mahmoudimus/nose-timer

Description:
A timer plugin for nosetests that answers the question: How much time does
every test take?

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=39960892

rpmlint output:
$ rpmlint python-nose-timer-0.7.5-1.fc31.src.rpm 
python-nose-timer.src: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, nosecones
python-nose-timer.src: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, nosecones
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint python3-nose-timer-0.7.5-1.fc31.noarch.rpm 
python3-nose-timer.noarch: W: spelling-error Summary(en_US) nosetests -> nose tests, nose-tests, nosecones
python3-nose-timer.noarch: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, nosecones
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 20:21:31 UTC
 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/nose_timer-%{version}-py*.egg-info


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-01-07 20:28:09 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-01-07 20:32:01 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-nose-timer

Comment 4 Fedora Update System 2020-01-07 21:55:34 UTC
FEDORA-2020-6115d78a7d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6115d78a7d

Comment 5 Fedora Update System 2020-01-07 22:01:04 UTC
FEDORA-EPEL-2020-371cbf80be has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-371cbf80be

Comment 6 Fedora Update System 2020-01-08 09:04:54 UTC
FEDORA-2020-2eeff92ee2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2eeff92ee2

Comment 7 Fedora Update System 2020-01-08 09:15:35 UTC
FEDORA-2020-2a33c52007 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2a33c52007

Comment 8 Fedora Update System 2020-01-08 09:19:59 UTC
FEDORA-EPEL-2020-e381d6a5f6 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e381d6a5f6

Comment 9 Fedora Update System 2020-01-08 11:20:04 UTC
python-nose-timer-0.7.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6115d78a7d

Comment 10 Fedora Update System 2020-01-08 11:21:15 UTC
python-nose-timer-0.7.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-371cbf80be

Comment 11 Fedora Update System 2020-01-08 14:16:51 UTC
python-nose-timer-0.7.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-eb097c0b0d

Comment 12 Fedora Update System 2020-01-09 01:07:37 UTC
python-django-email-url-0.2.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2eeff92ee2

Comment 13 Fedora Update System 2020-01-09 01:45:51 UTC
python-django-email-url-0.2.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2a33c52007

Comment 14 Fedora Update System 2020-01-09 01:53:38 UTC
python-django-email-url-0.2.0-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e381d6a5f6

Comment 15 Fedora Update System 2020-01-16 22:30:10 UTC
python-nose-timer-0.7.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-01-16 22:30:27 UTC
python-django-email-url-0.2.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2020-01-17 05:06:31 UTC
python-nose-timer-0.7.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-01-17 05:06:51 UTC
python-django-email-url-0.2.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-01-24 17:43:13 UTC
python-nose-timer-0.7.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-01-24 17:43:19 UTC
python-django-email-url-0.2.0-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.